> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shelv.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify email and get API key

> Verify your email address with the 6-digit code sent during registration. Returns an API key on success.



## OpenAPI

````yaml openapi.yaml post /v1/auth/verify-email
openapi: 3.1.0
info:
  description: >-
    Convert documents into structured Markdown filesystems that AI agents can
    hydrate and use in sandbox runtimes.
  title: Shelv API
  version: 1.0.0
servers:
  - url: https://api.shelv.dev
security:
  - bearerApiKey: []
paths:
  /v1/auth/verify-email:
    post:
      tags:
        - Auth
      summary: Verify email and get API key
      description: >-
        Verify your email address with the 6-digit code sent during
        registration. Returns an API key on success.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerifyEmailInput'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VerifyEmailResponse'
          description: Email verified, API key returned
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Invalid or expired code
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: No pending verification found
      security: []
components:
  schemas:
    VerifyEmailInput:
      properties:
        code:
          maxLength: 6
          minLength: 6
          pattern: ^\d{6}$
          type: string
        email:
          format: email
          type: string
      required:
        - email
        - code
      type: object
    VerifyEmailResponse:
      properties:
        apiKey:
          properties:
            expiresAt:
              type:
                - string
                - 'null'
            key:
              type: string
            prefix:
              type: string
          required:
            - key
            - prefix
            - expiresAt
          type: object
        user:
          properties:
            email:
              type: string
            id:
              type: string
            name:
              type: string
          required:
            - id
            - name
            - email
          type: object
      required:
        - user
        - apiKey
      type: object
    ErrorResponse:
      properties:
        code:
          type: string
        details: {}
        message:
          type: string
      required:
        - code
        - message
      type: object
  securitySchemes:
    bearerApiKey:
      bearerFormat: APIKey
      scheme: bearer
      type: http

````